REM IE9 ClearMem Install 
REM Jean-Marie BARONE 09/2010

registry="HKEY_CURRENT_USER\Software\Microsoft\Internet Explorer\Extensions\{009AF0F1-51BD-4837-A0D0-063592932B2C}\"

REM Select the Install Directory
Set Wshshell = CreateObject("Wscript.Shell")
Set ObjShell = CreateObject("Shell.Application")
Set ObjFolder = ObjShell.BrowseForFolder(0, "Create a Destination Folder or choose an existing one", 1, 17)
if ObjFolder is nothing then Wscript.Quit
ExtractTo=ObjFolder.Self.Path

REM Decompress the ZIP file in the Install Folder
REM First, get the path of the ZIP file (current dir)
Set fso=CreateObject("Scripting.FileSystemObject") 
ZipFile=fso.GetParentFolderName(wscript.ScriptFullName)&"\IE9CM.zip"
REM Create Destination Folder if it does not exist
If NOT fso.FolderExists(ExtractTo) Then
	fso.CreateFolder(ExtractTo)
End If
REM Extract the files
Set FilesInZip=ObjShell.NameSpace(ZipFile).items
ObjShell.NameSpace(ExtractTo).CopyHere(FilesInZip)

REM Install the Exit button in the IE9 Tool Bar
If MsgBox("Do you want to install a button in IE9 Toolbar ?",vbYesNo) = vbYes then

REM Write the Registry Entries
Wshshell.RegWrite registry&"CLSID","{1FBA04EE-3024-11D2-8F1F-0000F87ABD16}"
Wshshell.RegWrite registry&"Exec", ExtractTo&"\IE9ClearMem.exe"
Wshshell.RegWrite registry&"ButtonText","Quit IE9 and Clear Memory"
Wshshell.RegWrite registry&"Default Visible","Yes"
Wshshell.RegWrite registry&"HotIcon", ExtractTo&"\exit.ico"
Wshshell.RegWrite registry&"Icon",ExtractTo&"\exit.ico"
Wshshell.RegWrite registry&"Tooltip","Quit IE9 and Clear Memory"

Msgbox "A button is now available in your IE9 Beta ToolBar",64,"IE9 ClearMem"
End If


REM Install the Command entry in the IE9 Tools menu
If MsgBox("Do you want to install an entry in IE9 Tools Menu ?",vbYesNo) = vbYes then

REM Write the Registry Entries
Wshshell.RegWrite registry&"CLSID","{1FBA04EE-3024-11D2-8F1F-0000F87ABD16}"
Wshshell.RegWrite registry&"Exec", ExtractTo&"\IE9ClearMem.exe"
Wshshell.RegWrite registry&"MenuText","Quit IE9 and Clear Memory"
Wshshell.RegWrite registry&"MenuStatusBar","Quit IE9 and Clear Memory"

Msgbox "An entry is now available in your IE9 Tools Menu",64,"IE9 ClearMEM"
End If

REM Open the Destination Folder & Exit
Wshshell.run "EXPLORER.EXE "& ExtractTo
Msgbox "Install is finished : you can now delete this Temp folder",64,"IE9 ClearMem"
Set registry=Nothing
Set ObjShell=Nothing
Set ObjFolder=Nothing
Set ExtractTo=Nothing
Set fso=Nothing
Set ZipFile=Nothing
Set FilesInZip=Nothing
Set Wshshell=Nothing